<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		height:100vh;
		width: 100vw;
		margin:0;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	div{
		height:200px;
		width: 200px;
		position: absolute;
	}

	div:nth-child(1){
		border:1px solid red;
	}
		div:nth-child(2){
		border:1px solid blue;
	}
		div:nth-child(3){
		border:1px solid green;
	}
</style>
<body>
<div id="red"></div>
<div id="blue"></div>
<div id="green"></div>
</body>

<script type="text/javascript">
	document.addEventListener("mousemove", function (e){
		x=e.clientX-window.innerWidth/2;
		y=e.clientY-window.innerHeight/2;
		console.log(x+ " " +y);
		document.getElementById("red").style.transform= "translate("+0.3*-x+"px,"+0.3*-y+"px)";
		document.getElementById("blue").style.transform= "translate("+0.4*-x+"px,"+0.4*-y+"px)";
		document.getElementById("green").style.transform= "translate("+0.5*-x+"px,"+0.5*-y+"px)";
	});
</script>
</html>